EntryParser
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.utils

## Class EntryParser

- java.lang.Object
- - org.gcube.informationsystem.collector.impl.utils.EntryParser

-     public class EntryParser
      extends java.lang.Object

  Parser for `AggregatorServiceGroupEntryResource`
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntryParser.RESOURCETYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryParser(org.globus.mds.aggregator.impl.AggregatorServiceGroupEntryResource entry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntryEPRParser` | `getEPRSinkParser()`
    `java.lang.String` | `getQualifiedSourceKey()`
    `void` | `getRPSet()`
    `org.apache.axis.message.addressing.EndpointReferenceType` | `getSink()`
    `org.apache.axis.message.addressing.EndpointReferenceType` | `getSource()`
    `java.lang.String` | `getSourceKey()`
    `java.lang.String` | `getSourceURI()`
    `java.lang.String` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntryParser

          public EntryParser(org.globus.mds.aggregator.impl.AggregatorServiceGroupEntryResource entry)

  - ### Method Detail

    - #### getSource

          public org.apache.axis.message.addressing.EndpointReferenceType getSource()

    - #### getSink

          public org.apache.axis.message.addressing.EndpointReferenceType getSink()

    - #### getSourceKey

          public java.lang.String getSourceKey()

      Returns:
        the source key or an empty string if it does not exist

    - #### getQualifiedSourceKey

          public java.lang.String getQualifiedSourceKey()

      Returns:
        the fully qualified source key or an empty string if it does not exist

    - #### getSourceURI

          public java.lang.String getSourceURI()

      Returns:
        the source URI, i.e. the URI from which the resource has been registered

    - #### getType

          public java.lang.String getType()

      Returns:
        the type of the resource (Profile or Properties)

    - #### getRPSet

          public void getRPSet()

    - #### getEPRSinkParser

          public EntryEPRParser getEPRSinkParser()
                                          throws java.lang.Exception

      Returns:
        a parser for the Sink EPR
      Throws:
        `java.lang.Exception`